# collada.asset.Contributor

class collada.asset.Contributor(author=None, authoring_tool=None, comments=None, copyright=None, source_data=None, xmlnode=None)

  Defines authoring information for asset management

  __init__(author=None, authoring_tool=None, comments=None, copyright=None, source_data=None, xmlnode=None)

    Create a new contributor

    Parameters:

      - author (str) – The author’s name

      - authoring_tool (str) – Name of the authoring tool

      - comments (str) – Comments from the contributor

      - copyright (str) – Copyright information

      - source_data (str) – URI referencing the source data

      - xmlnode – If loaded from xml, the xml node

  Methods

  `__init__`([author, authoring_tool, comments, ...]) | Create a new contributor
  `load`(collada, localscope, node) | Load and return a class instance from an XML node.
  `save`() | Saves the contributor info back to `xmlnode`

  Attributes

  `xmlnode` | ElementTree representation of the contributor.
  `author` | Contains a string with the author's name.
  `authoring_tool` | Contains a string with the name of the authoring tool.
  `comments` | Contains a string with comments from this contributor.
  `copyright` | Contains a string with copyright information.
  `source_data` | Contains a string with a URI referencing the source data for this asset.